Gentoo Archives: gentoo-commits

From: Hans de Graaff <graaff@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/bunny/
Date: Mon, 30 Sep 2019 05:44:22
Message-Id: 1569822214.3951f9789eaf461167c236696630c22d73603f26.graaff@gentoo
commit:     3951f9789eaf461167c236696630c22d73603f26
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 30 05:26:52 2019 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Sep 30 05:43:34 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3951f978

dev-ruby/bunny: add 2.14.3

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/bunny/Manifest            |  1 +
 dev-ruby/bunny/bunny-2.14.3.ebuild | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/dev-ruby/bunny/Manifest b/dev-ruby/bunny/Manifest
index 1e38a0e35dd..696f82fcc90 100644
--- a/dev-ruby/bunny/Manifest
+++ b/dev-ruby/bunny/Manifest
@@ -1,2 +1,3 @@
 DIST bunny-2.13.0.gem 204800 BLAKE2B d79c52efee5853f9f5c851144d3ec329c681840d030c140109ebde5b1a400526dd5624700d289158349e655b0d4308c9732696d12fcc01cad98fa729af6cac6d SHA512 38291751c6a064179f4c07e36aed751f2656ae110c89de6e006c015aea0b62ac8b7533a7b86e9933ccb779a32381e3bca6b8e21a08bc5494610ef1d58d327d2a
 DIST bunny-2.14.2.gem 206336 BLAKE2B 46bf0b7be7ac8973bdfc5f8368b09a5e86c175193e0e2673034ddb08aed23c63a05c4a2b634833217e14799f97d64ce79b3a1c980cb42401e253ca91e7f569e7 SHA512 26bd5624a342a81d66d6c052c51afc7668b1974fe8209025ddf21ae7624d86570279dd416361c327a8bf1ffee378bab1bf11066ccabb3b953aca9b29939bb6f4
+DIST bunny-2.14.3.gem 206336 BLAKE2B 8bc1f4620502ee530f2f2192614c5b4bd40da7e4a849c7d56f77df8e7bf810f79b134bb242f42b0e380c5f3c7fa329d303db034585d7fb24436256fdfee64846 SHA512 5a2073b288e8fc943ff334dfaaa0a978891229e9dc27c3c39f9db24fb13997a409a6e951b07d41ca753c9aae9aa6b12a29f86b49d9b3473357cada9338fa96d0

diff --git a/dev-ruby/bunny/bunny-2.14.3.ebuild b/dev-ruby/bunny/bunny-2.14.3.ebuild
new file mode 100644
index 00000000000..fca93e2a545
--- /dev/null
+++ b/dev-ruby/bunny/bunny-2.14.3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+# Tests require a live AMQP server.
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_EXTRADOC="ChangeLog.md README.md"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Another synchronous Ruby AMQP client"
+HOMEPAGE="https://github.com/celldee/bunny"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/amq-protocol-2.3.0:2"
+
+all_ruby_install() {
+	all_fakegem_install
+
+	insinto /usr/share/doc/${PF}
+	doins -r examples || die
+}